#ifndef PART_EMITTER_H
#define PART_EMITTER_H

class CParticle;
#include "particle.h"

class CPartEmitter  
{
public:
	CPartEmitter(int iMaxParticles);
	virtual ~CPartEmitter();
	int GetNumParticles();
public:
	bool Add(CParticle* pParticle);
	void Update();
	static float m_fFrameTime;
	static float m_fCurTime; 
private:
	CParticleList m_ParticleList;
	int m_iNumParticles;
	int m_iMaxParticles;
};

inline int CPartEmitter::GetNumParticles() {return m_iNumParticles;}

#endif // PART_EMITTER_H
